<template>
  <div id="PageSigns">
    <!-- Breadcrumb -->
    <v-container>
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <BreadcrumbUtils :items_breadcrumbs_props="items_breadcrumbs" />
        </v-col>
      </v-row>
    </v-container>

    <!-- Title and Searche -->
    <v-container class="mb-5">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="8">
          <h1 class="title-h2-sistem family-lato-black warning--text">
            {{ $t("categories.signs_categories") }}

            <v-btn
              icon
              color="info"
              @click="
                view_video_explanatory_page = !view_video_explanatory_page
              "
            >
              <v-icon>mdi-hand-clap</v-icon>
            </v-btn>
          </h1>
        </v-col>

        <v-col cols="12" xs="12" sm="12" md="4">
          <SearchInputUtils />
        </v-col>
      </v-row>
    </v-container>

    <!-- Card Explanatory Video -->
    <v-container v-if="view_video_explanatory_page" class="mb-10">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <ExplanatoryVideoCard />
        </v-col>
      </v-row>
    </v-container>

    <!-- Table -->
    <v-container>
      <v-card flat class="rounded-lg">
        <v-card-text class="pa-0">
          <SignsItemCategoryTabs />
        </v-card-text>

        <!-- Number views and Order -->
        <v-container class="mb-7">
          <v-row>
            <v-col cols="12" xs="12" sm="12" md="8">
              <h2
                class="body-1-sistem family-openSans-bold system_grey_1--text"
              >
                {{
                  $t("template.info_view", {
                    count_1: 10,
                    count_2: total,
                  })
                }}

                {{
                  $tc(
                    "categories.singular_or_plural.categories_signs.word_class",
                    total
                  )
                }}
              </h2>
            </v-col>

            <v-col cols="12" xs="12" sm="12" md="4">
              <div class="d-flex align-center justify-end order-page-index">
                <span
                  class="caption-system mr-2 family-openSans-semi-bold text-uppercase system_grey_2--text"
                >
                  {{ $t("template.order_by") }}
                </span>

                <v-select
                  item-text="name"
                  dense
                  rounded
                  hide-details
                  item-value="filterBackend"
                  :return-object="false"
                  outlined
                  style="max-width: 200px"
                >
                  <template v-slot:label>
                    <span
                      class="body-2-sistem family-openSans-semi-bold info--text"
                    >
                      {{ $t("template.order_by_options.last") }}
                    </span>
                  </template>
                </v-select>
              </div>
            </v-col>
          </v-row>
        </v-container>

        <WordClassTable />
      </v-card>

      <!--Add-->
      <v-btn
        color="warning"
        dark
        fixed
        right
        fab
        class="floating-button"
        :to="
          localePath(
            '/dashboard/category-signs/word-class/create',
            $nuxt._i18n.locale
          )
        "
        style="bottom: 20px"
      >
        <v-icon>mdi-plus</v-icon>
      </v-btn>
    </v-container>
  </div>
</template>
<script>
import BreadcrumbUtils from "@/components/Breadcrumb/Global/BreadcrumbPortal.vue";
import ExplanatoryVideoCard from "@/components/Cards/Videos/ExplanatoryVideoCard.vue";
import SearchInputUtils from "@/components/Utils/Global/SearchInputUtils.vue";
import WordClassTable from "@/components/Table/SignsCategories/WordClass/WordClassTable.vue";
import SignsItemCategoryTabs from "@/components/Tabs/Signs/SignsItemCategoryTabs.vue";

export default {
  layout: "dashboard",
  components: {
    BreadcrumbUtils,
    SearchInputUtils,
    ExplanatoryVideoCard,
    WordClassTable,
    SignsItemCategoryTabs,
  },

  asyncData() {
    return {
      items_breadcrumbs: [
        {
          text: "template.dashboard",
          disabled: false,
          href: "/dashboard",
        },
        {
          text: "categories.signs_categories",
          disabled: true,
          href: "/dashboard/signs",
        },
      ],
    };
  },

  data() {
    return {
      total: 100,
      view_video_explanatory_page: false,
    };
  },
};
</script>
